{
  "name": "itsm-zy",
  "version": "0.0.0",
  "scripts": {
    "start": "ng serve --proxy-config proxy.conf.json --port 4210 --disable-host-check --public-host=dashitech.com --host 0.0.0.0",
    "build": "ng build --prod",
    "start:17": "set NODE_OPTIONS=--openssl-legacy-provider && ng serve --proxy-config proxy.conf.json --port 4210 --disable-host-check --public-host=dashitech.com --host 0.0.0.0",
    "build:17": "set NODE_OPTIONS=--openssl-legacy-provider --max_old_space_size=4096 && npm run build",
    "development": "node ./upload/development.js",
    "development120": "node ./upload/development120.js",
    "production": "node ./upload/production.js",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "bundle-report": "ng build --prod --stats-json && webpack-bundle-analyzer dist/pc/stats.json",
    "bundle-report:17": "set NODE_OPTIONS=--openssl-legacy-provider && ng build --prod --stats-json && webpack-bundle-analyzer dist/pc/stats.json"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~8.1.1",
    "@angular/common": "~8.1.1",
    "@angular/compiler": "~8.1.1",
    "@angular/core": "~8.1.1",
    "@angular/forms": "~8.1.1",
    "@angular/platform-browser": "~8.1.1",
    "@angular/platform-browser-dynamic": "~8.1.1",
    "@angular/router": "~8.1.1",
    "@types/big.js": "^6.2.2",
    "@types/crypto-js": "^3.1.47",
    "@types/overlayscrollbars": "^1.12.1",
    "@types/swiper": "^6.0.0",
    "atmosphere.js": "2.3.6",
    "big.js": "^6.2.1",
    "core-js": "^3.18.3",
    "crypto-js": "^3.3.0",
    "datatables.net": "^1.11.3",
    "date-fns": "^2.25.0",
    "echarts": "^4.6.0",
    "lodash-es": "^4.17.21",
    "ng-zorro-antd": "^8.5.2",
    "ngx-echarts": "^4.2.2",
    "ngx-markdown": "^8.2.2",
    "ngx-print": "~1.2.1",
    "ngx-sortablejs": "^3.1.3",
    "ngx-virtual-scroller": "^4.0.3",
    "npm": "^6.14.15",
    "overlayscrollbars": "^1.11.0",
    "overlayscrollbars-ngx": "^0.1.1",
    "prismjs": "^1.29.0",
    "rxjs": "~6.4.0",
    "sortablejs": "^1.14.0",
    "swiper": "^6.8.4",
    "tslib": "^1.9.0",
    "uuid": "^10.0.0",
    "viewerjs": "^0.10.0",
    "wangeditor": "^4.7.15",
    "zone.js": "^0.9.1"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.801.1",
    "@angular/cli": "~8.1.1",
    "@angular/compiler-cli": "~8.1.1",
    "@angular/language-service": "~8.1.1",
    "@types/datatables.net": "^1.10.21",
    "@types/echarts": "4.9.9",
    "@types/jasmine": "~3.3.8",
    "@types/jasminewd2": "^2.0.10",
    "@types/node": "~8.9.4",
    "babel-polyfill": "^6.26.0",
    "codelyzer": "^5.0.0",
    "jasmine-core": "~3.4.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~4.1.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "^1.7.0",
    "protractor": "~5.4.0",
    "shelljs": "^0.8.4",
    "ssh2-sftp-client": "^6.0.1",
    "ts-node": "~7.0.0",
    "tslint": "~5.15.0",
    "typescript": "~3.4.3",
    "webpack-bundle-analyzer": "^3.7.0",
    "zone.js": "^0.9.1"
  }
}
